- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Optimized_Connection_Endpoint_Selector Class Reference

More efficient connection strategy for endpoint selection. More...

`#include <Optimized_Connection_Endpoint_Selector.h>`

Inheritance diagram for TAO_Optimized_Connection_Endpoint_Selector:

[legend]
Collaboration diagram for TAO_Optimized_Connection_Endpoint_Selector:

[legend]
List of all members.

## Public Member Functions
| TAO_Optimized_Connection_Endpoint_Selector (const ACE_Time_Value &tv)
| Constructor.
virtual | ~TAO_Optimized_Connection_Endpoint_Selector (void)
| Destructor.
virtual void | select_endpoint (TAO::Profile_Transport_Resolver *, ACE_Time_Value *max_wait_time)
## Static Public Member Functions
static void | hook (TAO_ORB_Core *, TAO_Stub *, bool &has_timeout, ACE_Time_Value &tv)
## Private Member Functions
int | check_profile (TAO_Profile *, TAO::Profile_Transport_Resolver *)
## Static Private Attributes
static ACE_Time_Value | timeout_

## Detailed Description

More efficient connection strategy for endpoint selection.

This strategy builds on the default by first querying the connection cache for all potential endpoints before iterating over the list to attempt to create new connections.

## Constructor & Destructor Documentation

TAO_Optimized_Connection_Endpoint_Selector::TAO_Optimized_Connection_Endpoint_Selector | ( | const ACE_Time_Value & | tv | ) |

Constructor.

TAO_Optimized_Connection_Endpoint_Selector::~TAO_Optimized_Connection_Endpoint_Selector | ( | void |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

int TAO_Optimized_Connection_Endpoint_Selector::check_profile | ( | TAO_Profile * | ,
|  | TAO::Profile_Transport_Resolver * |  |
| ) |  |  | `[private]`

void TAO_Optimized_Connection_Endpoint_Selector::hook | ( | TAO_ORB_Core * | ,
|  | TAO_Stub * | ,
|  | bool & | has_timeout,
|  | ACE_Time_Value & | tv |
| ) |  |  | `[static]`

void TAO_Optimized_Connection_Endpoint_Selector::select_endpoint | ( | TAO::Profile_Transport_Resolver * | ,
|  | ACE_Time_Value * | max_wait_time |
| ) |  |  | `[virtual]`

Reimplemented from TAO_Default_Endpoint_Selector.

## Member Data Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Time_Value TAO_Optimized_Connection_Endpoint_Selector::timeout_`[static, private]`

The documentation for this class was generated from the following files:

- Optimized_Connection_Endpoint_Selector.h
- Optimized_Connection_Endpoint_Selector.cpp